uuid: b83bb232-eff4-4d9f-a5c2-eb3f6429d060
langcode: en
status: true
dependencies:
  module:
    - drutopia_landing_page
id: config_sync.module.drutopia_landing_page
snapshotSet: config_sync
extensionType: module
extensionName: drutopia_landing_page
items:
  -
    collection: ''
    name: core.base_field_override.node.landing_page.promote
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - node.type.landing_page
      id: node.landing_page.promote
      field_name: promote
      entity_type: node
      bundle: landing_page
      label: 'Promoted to front page'
      description: ''
      required: false
      translatable: true
      default_value:
        -
          value: 0
      default_value_callback: ''
      settings:
        on_label: 'On'
        off_label: 'Off'
      field_type: boolean
      _core:
        default_config_hash: KZ4pDrGhkRiIo7Ee-E4HGZp7YPXKS_FLR0nLeUQ3P2U
  -
    collection: ''
    name: core.entity_form_display.node.landing_page.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.landing_page.field_body_paragraph
          - field.field.node.landing_page.field_meta_tags
          - node.type.landing_page
        module:
          - metatag
          - paragraphs
          - path
      id: node.landing_page.default
      targetEntityType: node
      bundle: landing_page
      mode: default
      content:
        created:
          type: datetime_timestamp
          weight: 3
          region: content
          settings: {  }
          third_party_settings: {  }
        field_body_paragraph:
          weight: 1
          settings:
            title: Paragraph
            title_plural: Paragraphs
            edit_mode: open
            add_mode: button
            form_display_mode: default
            default_paragraph_type: _none
          third_party_settings: {  }
          type: entity_reference_paragraphs
          region: content
        field_meta_tags:
          weight: 5
          settings: {  }
          third_party_settings: {  }
          type: metatag_firehose
          region: content
        path:
          type: path
          weight: 4
          region: content
          settings: {  }
          third_party_settings: {  }
        status:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 6
          region: content
          third_party_settings: {  }
        title:
          type: string_textfield
          weight: 0
          region: content
          settings:
            size: 60
            placeholder: ''
          third_party_settings: {  }
        uid:
          type: entity_reference_autocomplete
          weight: 2
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
            match_limit: 10
          region: content
          third_party_settings: {  }
        url_redirects:
          weight: 50
          settings: {  }
          third_party_settings: {  }
          region: content
      hidden:
        promote: true
        sticky: true
      _core:
        default_config_hash: CVRMZfgFZQ-7Fglznug8VWRO5ACmCl4KpQqjG2GNk0o
  -
    collection: ''
    name: core.entity_view_display.node.landing_page.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.landing_page.field_body_paragraph
          - field.field.node.landing_page.field_meta_tags
          - node.type.landing_page
        module:
          - user
      id: node.landing_page.default
      targetEntityType: node
      bundle: landing_page
      mode: default
      content: {  }
      hidden:
        field_body_paragraph: true
        field_meta_tags: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: vMs2OGAJMnWt1vLVre5A7Ch4SlU4gL-OTPzWjBXCAZ8
  -
    collection: ''
    name: core.entity_view_display.node.landing_page.full
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.full
          - field.field.node.landing_page.field_body_paragraph
          - field.field.node.landing_page.field_meta_tags
          - node.type.landing_page
        module:
          - ds
          - entity_reference_revisions
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - field_body_paragraph
      id: node.landing_page.full
      targetEntityType: node
      bundle: landing_page
      mode: full
      content:
        field_body_paragraph:
          weight: 0
          label: hidden
          settings:
            view_mode: default
            link: ''
          third_party_settings: {  }
          type: entity_reference_revisions_entity_view
          region: ds_content
      hidden:
        field_meta_tags: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: 496HTAIE5jzDV02vjWsHBSVRzHTzT6RuZ0ZxpFD8QOY
  -
    collection: ''
    name: core.entity_view_display.node.landing_page.teaser
    data:
      langcode: en
      status: false
      dependencies:
        config:
          - core.entity_view_mode.node.teaser
          - field.field.node.landing_page.field_body_paragraph
          - field.field.node.landing_page.field_meta_tags
          - node.type.landing_page
        module:
          - user
      id: node.landing_page.teaser
      targetEntityType: node
      bundle: landing_page
      mode: teaser
      content: {  }
      hidden:
        field_body_paragraph: true
        field_meta_tags: true
        links: true
        search_api_excerpt: true
      _core:
        default_config_hash: jCHE-D3rybQAAcV2w67fm98NDaZvTk1BBTGWRQvt__I
  -
    collection: ''
    name: field.field.node.landing_page.field_body_paragraph
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_body_paragraph
          - node.type.landing_page
          - paragraphs.paragraphs_type.file
          - paragraphs.paragraphs_type.image
          - paragraphs.paragraphs_type.slide
          - paragraphs.paragraphs_type.text
        module:
          - entity_reference_revisions
      id: node.landing_page.field_body_paragraph
      field_name: field_body_paragraph
      entity_type: node
      bundle: landing_page
      label: 'Body paragraph'
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:paragraph'
        handler_settings:
          target_bundles:
            text: text
            file: file
            image: image
            slide: slide
          target_bundles_drag_drop:
            text:
              enabled: true
              weight: -9
            file:
              enabled: true
              weight: -8
            image:
              enabled: true
              weight: -7
            update:
              weight: -6
              enabled: false
            slide:
              enabled: true
              weight: 8
      field_type: entity_reference_revisions
      _core:
        default_config_hash: SY6szifQZxW4ucxM-P_RlOcopaMTOymNXiEZPLSvDec
  -
    collection: ''
    name: field.field.node.landing_page.field_meta_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_meta_tags
          - node.type.landing_page
        module:
          - metatag
      id: node.landing_page.field_meta_tags
      field_name: field_meta_tags
      entity_type: node
      bundle: landing_page
      label: 'Meta tags'
      description: ''
      required: false
      translatable: true
      default_value:
        -
          value: 'a:0:{}'
      default_value_callback: ''
      settings: {  }
      field_type: metatag
      _core:
        default_config_hash: 0TxksFlbv1taSWO5o9DKYQD7j4RPtqVhI7iV_bEGjTQ
  -
    collection: ''
    name: node.type.landing_page
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - menu_ui
      third_party_settings:
        menu_ui:
          available_menus:
            - main
          parent: 'main:'
      name: 'Landing page (DEPRECATED)'
      type: landing_page
      description: 'Use Page instead.  (Landing pages can be used for custom pages such as the home page.)'
      help: ''
      new_revision: true
      preview_mode: 1
      display_submitted: false
      _core:
        default_config_hash: Ghp4m6xuyfm3HxwelseF-cvCwlzIk6DMQLQqkDy_Jsk
  -
    collection: ''
    name: pathauto.pattern.node_landing_page
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
      id: node_landing_page
      label: 'Node landing page'
      type: 'canonical_entities:node'
      pattern: '[node:title]'
      selection_criteria:
        e3e7a232-e1e0-455e-8b69-c99b582dc4f0:
          id: 'entity_bundle:node'
          bundles:
            landing_page: landing_page
          negate: false
          context_mapping:
            node: node
          uuid: e3e7a232-e1e0-455e-8b69-c99b582dc4f0
      selection_logic: and
      weight: -5
      relationships: {  }
      _core:
        default_config_hash: vBkdZgjK3wVtoRA2ztmoGyr7IyCGmjkC1xiODFYqp_A
